New Search

Limited same-origin bypass in Service Workers - CVE-2016-5132

oval:org.cisecurity:def:993

The Service Workers subsystem in Google Chrome before 52.0.2743.82 does not properly implement the Secure Contexts specification during decisions about whether to control a subframe which allows remote attackers to bypass the Same Origin Policy via an https IFRAME element inside an http IFRAME element.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows 7
  • Microsoft Windows 8.1
  • Microsoft Windows 10
  • Microsoft Windows Server 2008
  • Microsoft Windows Vista
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows 8
Class:
vulnerability
Reference(s):
  • CVE-2016-5132
Product(s):
  • Google Chrome